Changelog
Recent Changes
Section titled “Recent Changes”- 23 Oct 2026 – Removed deprecated markets v1 endpoints:
GET /api/v1/markets/searchGET /api/v1/markets/:profileIdGET /api/v2/markets/configsGET /api/v2/markets/feesGET /api/v2/markets/holdingsGET /api/v2/markets/statsGET /api/v2/markets/{profileId}/changeGET /api/v2/markets/{profileId}/vote-pricePOST /api/v2/wallets/privy/markets/buy
- 19 Oct 2026 – Removed deprecated markets v1 endpoints:
GET /api/v1/markets/activity/:addressGET /api/v1/markets/holdings/:address/totalGET /api/v1/markets/leaderboard/profitGET /api/v1/markets/leaderboard/xpGET /api/v1/markets/tx/historyGET /api/v1/markets/volume/:addressGET /api/v2/markets/featuredGET /api/v2/markets/simulate-buyGET /api/v2/markets/users/by/x/{username}POST /api/v2/markets/users/by/addressesGET /api/v2/xp/user/{userkey}/leaderboard-rank
- 30 Sep 2026 – Removed deprecated activity endpoints:
GET /api/v1/activities/actor/:userkeyPOST /api/v1/activities/actorsGET /api/v1/activities/invite/accepted-by/:profileId
- 27 Mar 2026 – Added API key support for programmatic access:
- Create, list, and revoke API keys via SIWE signature (
/api/v2/api-keys) - Authenticate any profile-scoped endpoint with the
X-Ethos-Api-Keyheader
- Create, list, and revoke API keys via SIWE signature (
- 1 Dec 2025 – Removed deprecated endpoints:
POST /api/v1/invitationsGET /api/v1/invitations/pending/:address,GET /api/v1/profiles/directory
- 6 Oct 2025 – Removed deprecated endpoints:
POST /api/v1/reviewsPOST /api/v1/profiles/recent
- 9 Sep 2025 – Removed deprecated endpoints:
POST /api/v1/replyPOST /api/v1/reviews/count
- 8 Aug 2025 – Removed deprecated
/api/v1/activitiesendpoint
Deprecated Endpoints
Section titled “Deprecated Endpoints”These endpoints will be removed after the advertised date. We will do our best to notify consumers (by their advertised X-Ethos-Client header) in advance of removal.
| Endpoint | Description | Sunset |
|---|---|---|
Beta Endpoints
Section titled “Beta Endpoints”Beta endpoints are recent additions and are still subject to rapid change without further notification to consumers. We will remove the ‘beta’ tag once they are stable.
Internal Endpoints
Section titled “Internal Endpoints”Internal endpoints are used by Ethos frontend and are not intended for public consumption. They may change without notice. We intend to ‘publish’ them to beta status.
| Method | Path | Description |
|---|---|---|
GET |
/internal/users/{userkey} |
Fetch user details by userkey. |
GET |
/internal/listings |
Retrieve internal project listings page. |
GET |
/internal/listings/{username} |
Retrieve project details for listings page. |